DS-REPLCHECK(1)

NAME
ds-replcheck - Performs replication synchronization report between two replicas

SYNOPSIS
ds-replcheck [-h] [-o FILE] [-D BINDDN] [[-w BINDPW] [-W]] [-m MURL]
             [-r RURL] [-b SUFFIX] [-l LAG] [-Z CERTDIR]
             [-i IGNORE] [-p PAGESIZE] [-M MLDIF] [-R RLDIF]

DESCRIPTION
ds-replcheck has two operating modes: offline - which compares two LDIF files (generated by db2ldif -r), and online mode - which queries each server to gather the entries for comparisions. The tool reports on missing entries, entry inconsistencies, tombstones, conflict entries, database RUVs, and entry counts.

OPTIONS
A summary of options is included below:

-h
    Display usage

-D Root DN
    The Directory Manager DN, or root DN.a (online mode)

-w PASSWORD
    The Directory Manager password (online mode)

-W
    Prompt for the Directory Manager password (online mode)

-m LDAP_URL
    The LDAP Url for the first replica (online mode)

-r LDAP URL
    The LDAP Url for the second replica (online mode)

-b SUFFIX
    The replication suffix. (online & offline)

-l Lag time
    If an inconsistency is detected, and it is within this lag allowance it will *NOT* be reported. (online mode)

-Z CERT DIR
    The directory containing a certificate database for StartTLS/SSL connections. (online mode)

-i IGNORE LIST
    Comma separated list of attributes to ignore in the report (online & offline)

-c
    Display verbose conflict entry information

-M LDIF FILE
    The LDIF file for the first replica (offline mode)

-R LDIF FILE
    The LDIF file for the second replica (offline mode)

-p PAGE SIZE
    The page size used for the paged result searches that the tool performs. The default is 500. (online mode)

-o OUTPUT FILE
    The file to write the report to. (online and offline)

EXAMPLE
ds-replcheck -D "cn=directory manager" -w PASSWORD -m ldap://myhost.domain.com:389 -r ldap://otherhost.domain.com:389 -b "dc=example,dc=com" -Z /etc/dirsrv/slapd-myinstance ds-replcheck -b dc=example,dc=com -M /tmp/replicaA.ldif -R /tmp/replicaB.ldif

AUTHOR
ds-replcheck was written by the 389 Project.

REPORTING BUGS
Report bugs to https://pagure.io/389-ds-base/new_issue

COPYRIGHT
Copyright © 2018 Red Hat, Inc.